BEGIN 9xENEMY

////////////In Innerdream

IF~Global("ISHxMain","GLOBAL",3)~THEN BEGIN Enemy000
SAY @0
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",4) Enemy()~ EXIT
END

IF~Global("ISHxMain","GLOBAL",4)~THEN BEGIN Enemy001
SAY @1
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",5) Enemy()~ EXIT
END

IF~Global("ISHxMain","GLOBAL",5)~THEN BEGIN Enemy002
SAY @2
=
@3
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",6) DestroySelf()~ EXIT
END

IF~Global("ISHxMain","GLOBAL",6)~THEN BEGIN Enemy003
SAY @4
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",7) Enemy()~ EXIT
END

///////////In Mines again

IF~Global("ISHxMain","GLOBAL",7)~THEN BEGIN Enemy004
SAY @5
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",8) Enemy()~ EXIT
END

///////////In the Innershade

IF~Global("ISHxMain","GLOBAL",8)~THEN BEGIN Enemy005
SAY @6
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",9) Kill(Myself)~ EXIT
END

IF~Global("ISHxMain","GLOBAL",9)~THEN BEGIN EnemyE00
SAY @7
IF~~THEN REPLY @8 GOTO EnemyE01
IF~~THEN REPLY @9 GOTO EnemyE02
END

IF~~THEN BEGIN EnemyE01
SAY @10
=
@11
=
@12
=
@13
IF~~THEN REPLY @14 GOTO EnemyE03
IF~~THEN REPLY @15 GOTO EnemyE02
END

IF~~THEN BEGIN EnemyE03
SAY @16
IF~~THEN REPLY @17 GOTO EnemyE04
IF~~THEN REPLY @18 GOTO EnemyE02
END

IF~~THEN BEGIN EnemyE04
SAY @19
=
@20
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",20) DestroySelf()~ EXIT
END

IF~~THEN BEGIN EnemyE02
SAY @21
IF~~THEN DO ~SetGlobal("ISHxMain","GLOBAL",30) DestroySelf()~ EXIT
END

